DailyRoomProperties
Daily room configuration (subset of frequently used fields)
Usage profiles
| Usage | Fields and validation |
|---|---|
| In requests | View fields |
| In responses | View fields |
In requests
API JSON uses JSON field names (camelCase).
| Field | Type | Presence | Meaning |
|---|---|---|---|
nbf | string (int64) | Optional | Timestamps (unix seconds) Pattern: ^-?\d+$. |
exp | string (int64) | Optional | Expiration time of the Daily room, as Unix seconds. Pattern: ^-?\d+$. |
maxParticipants | integer (int32) | Optional | Limits Maximum number of participants allowed in the Daily room. Minimum: -2147483648. Maximum: 2147483647. |
enablePeopleUi | boolean | Optional | UI toggles Whether the Daily room exposes the participant-list controls. |
enablePipUi | boolean | Optional | Whether the Daily room enables picture-in-picture controls. |
enableEmojiReactions | boolean | Optional | Whether the Daily room enables emoji reactions. |
enableHandRaising | boolean | Optional | Whether the Daily room enables hand-raising controls. |
enablePrejoinUi | boolean | Optional | Whether the Daily room enables its prejoin screen. |
enableLiveCaptionsUi | boolean | Optional | Whether the Daily room exposes live-caption controls. |
enableNetworkUi | boolean | Optional | Whether the Daily room exposes network-information controls. |
enableNoiseCancellationUi | boolean | Optional | Whether the Daily room exposes noise-cancellation controls. |
enableBreakoutRooms | boolean | Optional | Whether the Daily room enables breakout rooms. |
enableKnocking | boolean | Optional | Access and permissions |
ownerOnlyBroadcast | boolean | Optional | Whether broadcasting is restricted to Daily room owners. |
enforceUniqueUserIds | boolean | Optional | Whether the Daily room requires participant user identifiers to be unique. |
enableScreenshare | boolean | Optional | Features Whether screen sharing is enabled in the Daily room. |
enableVideoProcessingUi | boolean | Optional | Whether the Daily room exposes video-processing controls. |
enableChat | boolean | Optional | Whether chat is enabled in the Daily room. |
enableSharedChatHistory | boolean | Optional | Whether the Daily room enables shared chat history. |
enableAdvancedChat | boolean | Optional | Whether the Daily room enables advanced chat features. |
enableHiddenParticipants | boolean | Optional | Whether the Daily room allows hidden participants. |
startVideoOff | boolean | Optional | Media defaults Whether participants join the Daily room with video initially off. |
startAudioOff | boolean | Optional | Whether participants join the Daily room with audio initially off. |
enableRecording | string (RECORDING_MODE_CLOUD, RECORDING_MODE_LOCAL, RECORDING_MODE_RAW_TRACKS, RECORDING_MODE_DISABLED) or integer (int32) | Optional | Recording mode configured for the Daily room. |
ejectAtRoomExp | boolean | Optional | Whether participants are removed when the Daily room expires. |
ejectAfterElapsed | integer (int32) | Optional | Elapsed session duration after which to eject participants, in seconds. Minimum: -2147483648. Maximum: 2147483647. |
enableMeshSfu | boolean | Optional | Topology and bandwidth |
sfuSwitchover | number (float) or string (NaN, Infinity, -Infinity) | Optional | Daily topology setting controlling the switch to SFU transport. |
enableAdaptiveSimulcast | boolean | Optional | Whether adaptive simulcast is enabled for the Daily room. |
enableMultipartyAdaptiveSimulcast | boolean | Optional | Whether multiparty adaptive simulcast is enabled for the Daily room. |
experimentalOptimizeLargeCalls | boolean | Optional | Whether Daily’s experimental large-call optimization is requested. |
lang | string | Optional | Localization and hooks |
meetingJoinHook | string | Optional | Webhook URL invoked by the Daily meeting-join hook. |
geo | string | Optional | Regions Region selected for the Daily room’s media infrastructure. |
rtmpGeo | string | Optional | Region selected for Daily RTMP streaming. |
disableRtmpGeoFallback | boolean | Optional | Whether automatic RTMP region fallback is disabled. |
recordingsBucket | RecordingBucketConfig | Optional | Storage destination configured for Daily recordings. |
transcriptionBucket | TranscriptionBucketConfig | Optional | Storage destination configured for Daily transcriptions. |
recordingsTemplate | string | Optional | Template used for recording object names in storage. |
transcriptionTemplate | string | Optional | Template used for transcription object names in storage. |
Values of enableRecording
Recording mode requested when configuring a Daily room.
| Value | No. | Form | Meaning |
|---|---|---|---|
RECORDING_MODE_CLOUD | 1 | Canonical | Request the provider's cloud recording mode. |
RECORDING_MODE_LOCAL | 2 | Canonical | Request the provider's local recording mode. |
RECORDING_MODE_RAW_TRACKS | 3 | Canonical | Request separate raw media tracks for recording. |
RECORDING_MODE_DISABLED | 4 | Canonical | Explicitly disable room recording. |
In responses
API JSON uses JSON field names (camelCase).
| Field | Type | Presence | Meaning |
|---|---|---|---|
nbf | string (int64) | Optional | Timestamps (unix seconds) Pattern: ^-?\d+$. |
exp | string (int64) | Optional | Expiration time of the Daily room, as Unix seconds. Pattern: ^-?\d+$. |
maxParticipants | integer (int32) | Optional | Limits Maximum number of participants allowed in the Daily room. Minimum: -2147483648. Maximum: 2147483647. |
enablePeopleUi | boolean | Optional | UI toggles Whether the Daily room exposes the participant-list controls. |
enablePipUi | boolean | Optional | Whether the Daily room enables picture-in-picture controls. |
enableEmojiReactions | boolean | Optional | Whether the Daily room enables emoji reactions. |
enableHandRaising | boolean | Optional | Whether the Daily room enables hand-raising controls. |
enablePrejoinUi | boolean | Optional | Whether the Daily room enables its prejoin screen. |
enableLiveCaptionsUi | boolean | Optional | Whether the Daily room exposes live-caption controls. |
enableNetworkUi | boolean | Optional | Whether the Daily room exposes network-information controls. |
enableNoiseCancellationUi | boolean | Optional | Whether the Daily room exposes noise-cancellation controls. |
enableBreakoutRooms | boolean | Optional | Whether the Daily room enables breakout rooms. |
enableKnocking | boolean | Optional | Access and permissions |
ownerOnlyBroadcast | boolean | Optional | Whether broadcasting is restricted to Daily room owners. |
enforceUniqueUserIds | boolean | Optional | Whether the Daily room requires participant user identifiers to be unique. |
enableScreenshare | boolean | Optional | Features Whether screen sharing is enabled in the Daily room. |
enableVideoProcessingUi | boolean | Optional | Whether the Daily room exposes video-processing controls. |
enableChat | boolean | Optional | Whether chat is enabled in the Daily room. |
enableSharedChatHistory | boolean | Optional | Whether the Daily room enables shared chat history. |
enableAdvancedChat | boolean | Optional | Whether the Daily room enables advanced chat features. |
enableHiddenParticipants | boolean | Optional | Whether the Daily room allows hidden participants. |
startVideoOff | boolean | Optional | Media defaults Whether participants join the Daily room with video initially off. |
startAudioOff | boolean | Optional | Whether participants join the Daily room with audio initially off. |
enableRecording | string (RECORDING_MODE_CLOUD, RECORDING_MODE_LOCAL, RECORDING_MODE_RAW_TRACKS, RECORDING_MODE_DISABLED) or integer (int32) | Optional | Recording mode configured for the Daily room. |
ejectAtRoomExp | boolean | Optional | Whether participants are removed when the Daily room expires. |
ejectAfterElapsed | integer (int32) | Optional | Elapsed session duration after which to eject participants, in seconds. Minimum: -2147483648. Maximum: 2147483647. |
enableMeshSfu | boolean | Optional | Topology and bandwidth |
sfuSwitchover | number (float) or string (NaN, Infinity, -Infinity) | Optional | Daily topology setting controlling the switch to SFU transport. |
enableAdaptiveSimulcast | boolean | Optional | Whether adaptive simulcast is enabled for the Daily room. |
enableMultipartyAdaptiveSimulcast | boolean | Optional | Whether multiparty adaptive simulcast is enabled for the Daily room. |
experimentalOptimizeLargeCalls | boolean | Optional | Whether Daily’s experimental large-call optimization is requested. |
lang | string | Optional | Localization and hooks |
meetingJoinHook | string | Optional | Webhook URL invoked by the Daily meeting-join hook. |
geo | string | Optional | Regions Region selected for the Daily room’s media infrastructure. |
rtmpGeo | string | Optional | Region selected for Daily RTMP streaming. |
disableRtmpGeoFallback | boolean | Optional | Whether automatic RTMP region fallback is disabled. |
recordingsBucket | RecordingBucketConfig | Optional | Storage destination configured for Daily recordings. |
transcriptionBucket | TranscriptionBucketConfig | Optional | Storage destination configured for Daily transcriptions. |
recordingsTemplate | string | Optional | Template used for recording object names in storage. |
transcriptionTemplate | string | Optional | Template used for transcription object names in storage. |
Values of enableRecording
Recording mode requested when configuring a Daily room.
| Value | No. | Form | Meaning |
|---|---|---|---|
RECORDING_MODE_CLOUD | 1 | Canonical | Request the provider's cloud recording mode. |
RECORDING_MODE_LOCAL | 2 | Canonical | Request the provider's local recording mode. |
RECORDING_MODE_RAW_TRACKS | 3 | Canonical | Request separate raw media tracks for recording. |
RECORDING_MODE_DISABLED | 4 | Canonical | Explicitly disable room recording. |
Where used
| Reference | Relationship |
|---|---|
| Create a voice session (in progress) | POST /api/v1/llm/create-daily-session |
| DailySession | Nested in model |
Download the public reference contract.
Document: DOC-API-MODEL-daily-room-properties.